-- state object
-- lwi
-- ...

state = {time = 0, sid = 0}

print "[state]"

-- creation
function state:new (o)
	-- print "[state] new state"
	o = o or {}
	setmetatable(o, self)
	self.__index = self
	self.sid = 0
	return o
end

-- called on state enter
function state:enter ()
	-- print "[state] enter state"
	self.time = 0
end

-- called on state exit
function state:exit ()
	-- print "[state] exit state"
	self.time = 0
end

-- called to advance state
function state:input ()
	-- print "[state] input"
	self.time = self.time + 1
end

-- called when changing state
function state:transition ( i ) -- transition to state i
	-- print "[state] transition"
	if self.time > 50 then print "..." end
end

function state:setId( n )
	-- print ( "[state] set state id :" .. n )
	self.sid = n
end

function state:getId()
	return self.sid
end
