-- state_highscores object
-- lwi
-- ...

state_highscores = state:new()

print "[state_highscores]"

-- creation
function state_highscores:new (o)
	print "[state_highscores] new state_highscores"
	o = o or {}
	setmetatable(o, self)
	self.__index = self
	self.sid = 0

	-- add some buttons
	self.width = 250
	self.height = 350
	self.x = screen_width / 2 - ( self.width / 2 ) - 100
	self.y = screen_height / 2 - ( self.height / 2 )
	
	highscore_list_names = [[
	name0                        
	name1                          
	name2                           
	name3                            
	name4                             
	name5                              
	name6                               
	name7                                
	name8                                 
	name9                                  
	]]
	
	highscore_list_scores = [[
	100000000000
	10000000000
	1000000000
	100000000
	10000000
	1000000
	100000
	10000
	1000
	100
	]]

	-- textbox for names
	highscore_text_names = sim:addText( 0, highscore_list_names, self.x, self.y, self.x+300, self.y+500)
	highscore_text_names:setVisible( false )

	self.x = screen_width / 2 - ( self.width / 2 ) + 100
	-- textbox for scores
	highscore_text_scores = sim:addText( 0, highscore_list_scores, self.x, self.y, self.x+300, self.y+500)
	highscore_text_scores:setVisible( false )
	
	self.y = self.y + 200
	button_highscores_back    = sim:addButton( 401, xcore.x2drect( self.x, self.y, self.x+100, self.y+20 ), "back" )
	button_highscores_back:setVisible( false )

	sim:bindGUI ( "highscore_back_button_pressed", 401, xcore.XGUI_BUTTON_CLICKED )

	return o
end

-- called on state_highscores enter
function state_highscores:enter ()
	print "[state_highscores] enter state_highscores"
	button_highscores_back:setVisible( true )
	highscore_text_scores:setVisible( true )
	highscore_text_names:setVisible( true )

	-- que server for highscore list

	self.time = 0
end

-- called on state_highscores exit
function state_highscores:exit ()
	print "[state_highscores] exit state_highscores"
	button_highscores_back:setVisible( false )
	highscore_text_scores:setVisible( false )
	highscore_text_names:setVisible( false )

	self.time = 0
end

-- called to advance state_highscores
function state_highscores:input ()
	-- print ( "[state_highscores] input" )
	r = ENUM_HIGHSCORES -- 1

	if sim:isGUI( "highscore_back_button_pressed" ) then r = ENUM_MENU end

	sim:update()
	return r

end

-- called when changing state_highscores
function state_highscores:transition ( i ) -- transition to state_highscores v
	print "[state_highscores] transition"
	if self.time > 50 then print "..." end
end
